<?php

	include("../conexion.php");
	

	if (substr($_FILES['excel']['name'],-3)=="csv")
	{
		$fecha		= date("Y-m-d");
		$carpeta 	= "tmp_excel/";
		$excel  	= $fecha."-".$_FILES['excel']['name'];

		move_uploaded_file($_FILES['excel']['tmp_name'], "$carpeta$excel");
		
		$row = 1;

		$fp = fopen ("$carpeta$excel","r");

		//fgetcsv. obtiene los valores que estan en el csv y los extrae.

		while ($data = fgetcsv ($fp, 2000, ";"))
		{
			//si la linea es igual a 1 no guardamos por que serian los titulos de la hoja del excel.
			if ($row!=1)
			{

				$num = count($data);

				echo $insertar="INSERT INTO cliente (clie_cc, clie_dv,clie_tipo_doc, clie_nombre, clie_empresa,clie_direccion, clie_telefono,clie_correo,clie_departamento,clie_ciudad,clie_contribuyente,clie_regimen,clie_credito, clie_cupo_credito, clie_disponible, clie_nota_credito, tarifas_tar_id, facturador,empresa)
				values('$data[1]','$data[2]','$data[3]','$data[4]','$data[5]','$data[6]','$data[7]','$data[8]','$data[9]','$data[10]','$data[11]','$data[12]','0','0','0','0','18','$data[13]','5')";
				$sql = mysqli_query($con, $insertar);
				
				

				if (!$sql)
				{
					echo "<div>Hubo un problema al momento de importar porfavor vuelva a intentarlo</div >";
					exit;
				}

			}

		$row++;

		}

		fclose ($fp);

		echo "<div>La importacion de archivo subio satisfactoriamente</div >";
		
		exit;

	}

?>